# $Revision: 1.14 $, $Date: 2006/10/08 11:53:32 $
#
# Conditional build:
%bcond_without	static_libs # don't build static libraries
#
Summary:	Free, cross platform, open-source, audio I/O library
Summary(pl):	Darmowa, midzyplatformowa i otwarta biblioteka I/O audio
Name:		portaudio
Version:	19
Release:	1.20060926.1
License:	LGPL-like
Group:		Libraries
Source0:	http://www.portaudio.com/archives/pa_snapshot_v%{version}.tar.gz
# Source0-md5:	e418b70d4df87f269dfc346682c0ce7b
Patch0:		%{name}-ac.patch
URL:		http://www.portaudio.com/
BuildRequires:	alsa-lib-devel >= 0.9
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PortAudio is a free, cross platform, open-source, audio I/O library.
It lets you write simple audio programs in 'C' that will compile and
run on many platforms including Windows, Macintosh (8,9,X), Unix
(OSS), SGI, and BeOS.

%description -l pl
PortAudio to darmowa, midzyplatformowa i otwarta biblioteka I/O
audio. Pozwala na pisanie prostych programw w "C", ktre bd si
kompilowa i uruchamia na wielu platformach, w tym Windows, Macintosh
(8,9,X), Unix (OSS), SGI, i BeOS.

%package devel
Summary:	Header files for PortAudio library
Summary(pl):	Pliki nagwkowe biblioteki PortAudio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for PortAudio library.

%description devel -l pl
Pliki nagwkowe biblioteki PortAudio.

%package static
Summary:	Static PortAudio library
Summary(pl):	Statyczna biblioteka PortAudio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static PortAudio library.

%description static -l pl
Statyczna biblioteka PortAudio.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--enable-static=%{?with_static_libs:yes}%{!?with_static_libs:no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt LICENSE.txt
%attr(755,root,root) %{_libdir}/libportaudio.so.*.*.*

%files devel
%defattr(644,root,root,755)
#%doc doc/html/* ???
%attr(755,root,root) %{_libdir}/libportaudio.so
%{_libdir}/libportaudio.la
%{_includedir}/portaudio.h
%{_pkgconfigdir}/portaudio-*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: portaudio.spec,v $
Revision 1.14  2006/10/08 11:53:32  qboosh
- we don't require pkgconfig just because -devel package has pkgconfig support

Revision 1.13  2006/09/26 18:54:30  twittner
- up to 19.20060926

Revision 1.12  2006/09/02 13:35:12  twittner
- passing CFLAGS fixed
- %%files corrected (wrong globs for library files, header files & dirs mess)

Revision 1.11  2006/02/20 18:53:06  qboosh
- unified

Revision 1.10  2005/06/06 21:30:40  qboosh
- missing dirs

Revision 1.9  2005/06/06 21:09:50  sardzent
- added devel headers

Revision 1.8  2005/06/06 20:54:27  averne
- added pablio header

Revision 1.7  2005/06/06 20:46:58  averne
- fixed to build on amd64

Revision 1.6  2005/05/03 09:12:27  qboosh
- grrr, this is snapshot (taken at 20050226), not any release

Revision 1.5  2005/02/27 00:48:34  qboosh
- missing BRs, set libportaudio SONAME

Revision 1.4  2005/02/26 14:05:52  kolodko
- up to ver 19 from Grzegorz Grasza <grozo (at) pawlacz.com>
- added sed -i -e 's@"-g -O2 -Wall"@"%{rpmcflags}"@' configure*

Revision 1.3  2005/01/11 22:00:21  qboosh
- cleanup

Revision 1.2  2005/01/11 21:01:06  adamg
- pass CFLAGS
- pl diatrics
- cosmetics
- adapterized (description wrap, %%changelog, CVS tags)
